# classes/phing/tasks/system/AdhocTaskdefTask.php

A class for creating adhoc tasks in build file.

<![CDATA[

           class FooTest extends Task {
               private $bar;

               function setBar($bar) {
                   $this->bar = $bar;
               }

               function main() {
                   $this->log("In FooTest: " . $this->bar);
               }
           }

       ]]></adhoc-task>

     <foo bar="B.L.I.N.G"/>

author
  Hans Lellelid
package
  phing.tasks.system
version
  $Revision: 1015 $

## \AdhocTaskdefTask
jump to top

A class for creating adhoc tasks in build file.

<![CDATA[

           class FooTest extends Task {
               private $bar;

               function setBar($bar) {
                   $this->bar = $bar;
               }

               function main() {
                   $this->log("In FooTest: " . $this->bar);
               }
           }

       ]]></adhoc-task>

     <foo bar="B.L.I.N.G"/>

Extends from
  \AdhocTask
author
  Hans Lellelid
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.system
version
  $Revision: 1015 $

### Properties

`$name= ''`

The tag that refers to this task.

Details

Type

### Methods

`main( ) :`
Main entry point
`setName( string $name ) :`
Set the tag that will represent this adhoc task/type.
Parameters

Name | Type | Description
--- | --- | ---
$name | string |

Documentation was generated by DocBlox 0.13.1.